Loading...
Searching...
No Matches
rtcp_context Struct Reference

Internal RTCP state context (for RR/SR). More...

`#include <rtcp.h>`

## Data Fields

uint8_t | rtp_recvd:1
uint32_t | rtp_last_inorder_ts
int64_t | rtp_last_inorder_time
uint16_t | max_seq_nr
uint16_t | seq_cycle
uint16_t | base_seq
uint16_t | pt
int64_t | transit
double | jitter
double | jitter_remote
uint32_t | tb
uint32_t | lsr
int64_t | lsr_ts
int64_t | last_sent
uint32_t | rtt
uint32_t | received
uint32_t | received_prior
uint32_t | expected
uint32_t | expected_prior
uint32_t | lost
uint32_t | lost_remote
uint32_t | retransmitted
uint32_t | retransmitted_prior
int64_t | rr_last_ts
uint32_t | rr_last_ehsnr
uint32_t | rr_last_lost
uint32_t | rr_last_nack_count
gint | sent_packets_since_last_rr
gint | nack_count
double | in_link_quality
double | in_media_link_quality
double | out_link_quality
double | out_media_link_quality

## Detailed Description

Internal RTCP state context (for RR/SR).

## Field Documentation

## base_seq

uint16_t rtcp_context::base_seq

## expected

uint32_t rtcp_context::expected

## expected_prior

uint32_t rtcp_context::expected_prior

## in_link_quality

double rtcp_context::in_link_quality

## in_media_link_quality

double rtcp_context::in_media_link_quality

## jitter

double rtcp_context::jitter

## jitter_remote

double rtcp_context::jitter_remote

## last_sent

int64_t rtcp_context::last_sent

## lost

uint32_t rtcp_context::lost

## lost_remote

uint32_t rtcp_context::lost_remote

## lsr

uint32_t rtcp_context::lsr

## lsr_ts

int64_t rtcp_context::lsr_ts

## max_seq_nr

uint16_t rtcp_context::max_seq_nr

## nack_count

gint rtcp_context::nack_count

## out_link_quality

double rtcp_context::out_link_quality

## out_media_link_quality

double rtcp_context::out_media_link_quality

## pt

uint16_t rtcp_context::pt

## received

uint32_t rtcp_context::received

## received_prior

uint32_t rtcp_context::received_prior

## retransmitted

uint32_t rtcp_context::retransmitted

## retransmitted_prior

uint32_t rtcp_context::retransmitted_prior

## rr_last_ehsnr

uint32_t rtcp_context::rr_last_ehsnr

## rr_last_lost

uint32_t rtcp_context::rr_last_lost

## rr_last_nack_count

uint32_t rtcp_context::rr_last_nack_count

## rr_last_ts

int64_t rtcp_context::rr_last_ts

## rtp_last_inorder_time

int64_t rtcp_context::rtp_last_inorder_time

## rtp_last_inorder_ts

uint32_t rtcp_context::rtp_last_inorder_ts

## rtp_recvd

uint8_t rtcp_context::rtp_recvd

## rtt

uint32_t rtcp_context::rtt

## sent_packets_since_last_rr

gint rtcp_context::sent_packets_since_last_rr

## seq_cycle

uint16_t rtcp_context::seq_cycle

## tb

uint32_t rtcp_context::tb

## transit

int64_t rtcp_context::transit

The documentation for this struct was generated from the following file:

- rtcp.h